Skip to main content
GET
Get Thread
Fetch a single conversation thread with its messages. Requires the messages:read scope on the API key.

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

thread_id
string
required

ID of the thread.

Query Parameters

message_limit
integer
default:20

How many of the most recent messages to return.

Required range: 1 <= x <= 50

Response

200 - application/json

Successful Response

thread_id
string
required

Unique thread identifier.

subject
string
required

Subject line of the conversation thread.

channel
enum<string>
required

Communication channel (EMAIL or LINKEDIN).

Available options:
EMAIL,
LINKEDIN,
CALENDAR,
MANUAL
total_message_count
integer
required

Total count of messages in the thread.

contact_id
string<uuid> | null

Contact associated with the thread.

contact_name
string | null

Name of the contact.

sequence_template_id
string<uuid> | null

Sequence template associated with the thread.

sequence_template_name
string | null

Name of the sequence template.

lead_status
enum<string> | null

Current status of the enrolled lead.

Available options:
ACTIVE,
SUCCEEDED,
FAILED,
COMPLETED,
WAITING_FOR_LEAD,
WAITING_FOR_USER,
STOPPED_EARLY,
FOUND,
REFUSED
messages
ThreadMessagePublicOutput · object[]

Most recent messages in the thread, oldest first.